%define	_glib2		2.2
%define major		1.0
%define majorminor	1.0
%define bname		gstreamer1.0
%define name		%{bname}-plugins-ugly

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{name}
Version:	1.14.4
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sound
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.xz
Patch0:		gstreamer-plugins-ugly-0.10.17-amr-linking.patch
URL:		http://gstreamer.freedesktop.org/
#-----------BR------------------------------
BuildRequires: %{_lib}a52dec0-devel
BuildRequires: %{_lib}cdio-devel
BuildRequires: %{_lib}dvdread-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}lame0-devel
BuildRequires: %{_lib}mad-devel
BuildRequires: %{_lib}mpeg2dec-devel
BuildRequires: %{_lib}opencore-amrnb-devel
BuildRequires: %{_lib}opencore-amrwb-devel
BuildRequires: %{_lib}orc-devel
BuildRequires: %{_lib}twolame-devel
#------------------------------------------
Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that have good quality and
correct functionality, but distributing them might pose problems. The
license on either the plug-ins or the supporting libraries might not
be how the GStreamer authors like. The code might be widely known to
present patent problems.

%prep
%setup -q -n gst-plugins-ugly-%{version}

%build
%configure2_5x --disable-dependency-tracking --disable-static \
  --with-package-name='pclinuxos %name package' \
  --with-package-origin='http://www.pclinuxos.com/' \

%make


%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang gst-plugins-ugly-%{majorminor}

#dont want this
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}/%{_datadir}/gtk-doc

%files -f gst-plugins-ugly-%{majorminor}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%{_libdir}/gstreamer-%{majorminor}/libgstasf.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdlpcmdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdread.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdsub.so
%{_libdir}/gstreamer-%{majorminor}/libgstxingmux.so

#%{_libdir}/gstreamer-%{majorminor}/libgstlame.so

%{_libdir}/gstreamer-%{majorminor}/libgstx264.so
%{_datadir}/gstreamer-%{majorminor}/presets/GstX264Enc.prs

%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdio.so
#%{_libdir}/gstreamer-%{majorminor}/libgsttwolame.so
#%{_libdir}/gstreamer-%{majorminor}/libgstmpg123.so
%{_libdir}/gstreamer-%{majorminor}/libgstrealmedia.so

%clean
rm -rf %{buildroot}

%changelog
* Tue Dec 04 2018 adrianomorselli <adrianomorselli> 1.14.4-1uplos2018
- update
